%define _prefix /scisoft

Name:           scisoft-fitscut
Version:        1.4.4
Release:        2%{?dist}
Summary:        fitscut tool to extract cutouts from FITS image format files.
Distribution:   Scisoft
Group:          Applications/Engineering
License:        GPLv2
Packager:       Carlos Guirao
URL:            http://acs.pha.jhu.edu/general/software/fitscut/
Source0:        http://acs.pha.jhu.edu/general/software/fitscut/download/fitscut-%{version}.tar.gz

BuildRequires:  cfitsio-devel
BuildRequires:  libjpeg-turbo-devel
BuildRequires:  libpng-devel

%description
fitscut is designed to extract cutouts from FITS image format files.
FITS, PNG, and JPEG output types are supported.

When multiple input files are specified and the output type is PNG or
JPEG the resulting image is an RGB color image.

Information on the FITS file format is available from
http://fits.gsfc.nasa.gov/.

%prep
%autosetup -n fitscut-%{version}

%build
%configure
%make_build

%install
%make_install
install -m 755 -d %{buildroot}%{_datadir}
install -m 755 -d %{buildroot}%{_docdir}
install -m 755 -d %{buildroot}%{_licensedir}

%files
%dir %{_datadir}
%dir %{_docdir}
%dir %{_licensedir}
%doc README NEWS
%license COPYING
%{_prefix}
%defattr(-,root,root,-)

%changelog
* Mon Feb 26 2018 Artur Szostak <aszostak@partner.eso.org> 1.4.4
- Updated to use standardised installation directory and build macros.
- Integrating with automated build system.

* Tue Oct 18 2016 Artur Szostak <aszostak@partner.eso.org> 1.4.4-2
- Adding missing build dependencies.

* Wed Nov 13 2013 Carlos Guirao <cguirao@eso.org>
- First integration based on SRPM
